<!-- נתונים כלליים -->
<div>
  <div class="tab-container">
    <div class="app-location row">
      <div class="col-md-12">
        <!-- <app-location></app-location> -->
      </div>
    </div>
    <div class="overall-data row">
      <div class="col-md-6">
        <div class="card">
          <h2 class="card-title">
            בתי ספר
          </h2>
          <div class="card-body">
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> מספר מוסדות</label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.MISPAR_MOSDOT}}</label>
              </div>
            </div>
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> מספר תלמדים</label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.TALMIDIM}}</label>
              </div>
            </div>
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> מספר עובדי הוראה</label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.Sach_Morim}}</label>
              </div>
            </div>
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> מספר כיתות</label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.Mispar_kitot}}</label>
              </div>
            </div>
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> ממוצע תלמידים בכיתה </label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.Memeuza_Talmidim_Bekita}}</label>
              </div>
            </div>
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> עלות תלמידים ממוצעת </label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.ALUT_TALMID}}</label>
              </div>
            </div>
          </div>
          <div class="card-footer">
            <div class="col-md-6 pie-chart">
              <h3>
                עובדי הוראה
              </h3>
              <!--*ngIf="ovdeyHoraaYesodi!=undefined"-->

              <app-chart [id]="'ovdeyHoraaYesodi'" [options]="ovdeyHoraaYesodi"></app-chart>
              <div class="legend">
                <div class="male">
                  58,330
                  <br/>
                  <h3>
                    מורים
                  </h3>
                </div>
                <div class="female">
                  22,812
                  <br/>
                  <h3>
                    מורות
                  </h3>
                </div>
              </div>

            </div>
            <div class="col-md-6 pie-chart">
              <h3>
                תלמידים
              </h3>
              <!--*ngIf="TalmidimYesodi!=undefined"-->
              <app-chart [id]="'TalmidimYesodi'" [options]="TalmidimYesodi"></app-chart>
              <div class="legend">
                <div class="male">
                  862,283
                  <br/>
                  <h3>
                    בנים
                  </h3>
                </div>
                <div class="female">
                  831,738
                  <br/>
                  <h3>
                    בנות
                  </h3>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-md-6">
        <div class="card">
          <h2 class="card-title">
            גני ילדים
          </h2>
          <div class="card-body">
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> מספר מוסדות</label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.MISPAR_GANIM}}</label>
              </div>
            </div>
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> מספר תלמדים</label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.YALDEI_GAN}}</label>
              </div>
            </div>
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> מספר עובדי הוראה</label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.Sach_Gananim}}</label>
              </div>
            </div>
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> מספר כיתות</label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.Mispar_Kitot_Gan}}</label>
              </div>
            </div>
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> ממוצע תלמידים בכיתה </label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.Memuza_Talmididm_BeGan}}</label>
              </div>
            </div>
            <div class="row national-school">
              <div class="col-md-7 col-xs-12">
                <label class="national-title"> עלות תלמידים ממוצעת </label>
              </div>
              <div class="col-md-2 offset-md-1 col-xs-12">
                <label class="national-amount">{{generalData?.artziKlali?.Alut_Yeled_Gan}}</label>
              </div>
            </div>
          </div>
          <div class="card-footer">
            <div class="col-md-6 pie-chart">
              <h3>
                עובדי הוראה
              </h3>
              <app-chart [id]="'ovdeyHoraaGanim'" [options]="ovdeyHoraaGanim"></app-chart>
              <div class="legend">
                <div class="male">
                  218
                  <br/>
                  <h3>
                    גננים
                  </h3>
                </div>
                <div class="female">
                  33,672
                  <br/>
                  <h3>
                    גננות
                  </h3>
                </div>
              </div>
            </div>
            <div class="col-md-6 pie-chart">
              <h3>
                תלמידים
              </h3>
              <!--<div #TGanim></div>-->
              <app-chart [id]="'TalmidimGanim'" [options]="TalmidimGanim"></app-chart>
              <div class="legend">
                <div class="male">
                  862,283
                  <br/>
                  <h3>
                    בנים
                  </h3>
                </div>
                <div class="female">
                  831,738
                  <br/>
                  <h3>
                    בנות
                  </h3>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="division-institute card">
      <div class="">
        <h2 class="card-title">
          <span class="grey">התפלגות תלמידים | </span>
          חלוקת מוסדות לפי:
        </h2>
        <div class="tabs">
          <button class="" [ngClass]="{'active':activeButton == '0'}" (click)="setActive(0)">
            מגזר
          </button>
          <button class="" [ngClass]="{'active':activeButton == '1'}" (click)="setActive(1)">
            סוג פיקוח
          </button>
          <button class="" [ngClass]="{'active':activeButton == '2'}" (click)="setActive(2)">
            מעמד משפטי
          </button>
          <button class="" [ngClass]="{'active':activeButton == '3'}" (click)="setActive(3)">
            סוג חינוך
          </button>
        </div>
      </div>
      <!--<div  class="">
        <div class="row">
          <div class="col-md-6">
            חלוקת מוסדות מגזר
          </div>
          <div class="col-md-6">
            <app-chart [id]="'halukatMosdotYesodi'" [options]="halukatMosdotYesodi"></app-chart>
          </div>
        </div>
      </div>-->
      <div *ngIf="activeButton == 0" class="">
        <div class="row">
          <div class="col-md-6">
            <h4>
              בתי-ספר
            </h4>
            <div class="row">
              <div class="col-md-6">
                <app-chart [id]="'halukatMosdotYesodi'" [options]="halukatMosdotYesodi"></app-chart>
              </div>
              <div class="col-md-6 graph-legend">
                <div class="row ">
                  <div class="col-md-4">
                    <div class="legend-row green">
                      בדואי
                    </div>
                  </div>
                  <div class="col-md-4">
                    170
                  </div>
                  <div class="col-md-4">
                    3.58%
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-4">
                    <div class="legend-row dark-blue">
                      דרוזי
                    </div>
                  </div>
                  <div class="col-md-4">
                    170
                  </div>
                  <div class="col-md-4">
                    3.58%
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-4">
                    <div class="legend-row blue">
                      יהודי
                    </div>
                  </div>
                  <div class="col-md-4">
                    170
                  </div>
                  <div class="col-md-4">
                    3.58%
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-4">
                    <div class="legend-row yellow">
                      ערבי
                    </div>
                  </div>
                  <div class="col-md-4">
                    170
                  </div>
                  <div class="col-md-4">
                    3.58%
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-4">
                    <div class="legend-row purple">
                      צ'רקסי
                    </div>
                  </div>
                  <div class="col-md-4">
                    170
                  </div>
                  <div class="col-md-4">
                    3.58%
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-6">
            <h4>
              גני ילדים
            </h4>
            <div class="row">
              <div class="col-md-6">
                <app-chart [id]="'halukatMosdotYesodi1'" [options]="halukatMosdotYesodi"></app-chart>
              </div>
              <div class="col-md-6 graph-legend">
                <div class="row ">
                  <div class="col-md-4">
                    <div class="legend-row green">
                      בדואי
                    </div>
                  </div>
                  <div class="col-md-4">
                    170
                  </div>
                  <div class="col-md-4">
                    3.58%
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-4">
                    <div class="legend-row dark-blue">
                      דרוזי
                    </div>
                  </div>
                  <div class="col-md-4">
                    170
                  </div>
                  <div class="col-md-4">
                    3.58%
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-4">
                    <div class="legend-row blue">
                      יהודי
                    </div>
                  </div>
                  <div class="col-md-4">
                    170
                  </div>
                  <div class="col-md-4">
                    3.58%
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-4">
                    <div class="legend-row yellow">
                      ערבי
                    </div>
                  </div>
                  <div class="col-md-4">
                    170
                  </div>
                  <div class="col-md-4">
                    3.58%
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div *ngIf="activeButton == 1" class="">
        <div class="row">
          <div class="col-md-6">
            חלוקת מוסדות סוג פיקוח
          </div>
          <div class="col-md-6">
            <app-chart [id]="'halukatMosdotYesodi'" [options]="halukatMosdotYesodi"></app-chart>
          </div>
        </div>
      </div>
      <div *ngIf="activeButton == 2" class="">
        <div class="row">
          <div class="col-md-6">
            חלוקת מוסדות מעמד משפטי
          </div>
          <div class="col-md-6">
            <app-chart [id]="'halukatMosdotYesodi'" [options]="halukatMosdotYesodi"></app-chart>
          </div>
        </div>
      </div>
      <div *ngIf="activeButton ==3" class="">
        <div class="row">
          <div class="col-md-6">
            חלוקת מוסדות סוג חינוך
          </div>
          <div class="col-md-6">
            <app-chart [id]="'halukatMosdotYesodi'" [options]="halukatMosdotYesodi"></app-chart>
          </div>
        </div>
      </div>

    </div>
    <div class="avg-students-class row">
      <div class="col-md-8">
        <div class="card">
          <div class="">
            <h2 class="card-title">
              ממוצע תלמידים בכיתה לפי:
            </h2>
            <div class="tabs">
              <button class="" [ngClass]="{'active':avgActiveButton == '5'}" (click)="setAvgActive(5)">
                חמישון טיפוח
              </button>
              <button class="" [ngClass]="{'active':avgActiveButton == '6'}" (click)="setAvgActive(6)">
                שלב חינוך
              </button>
              <button class="" [ngClass]="{'active':avgActiveButton == '7'}" (click)="setAvgActive(7)">
                מגזר
              </button>
            </div>
          </div>

        </div>
      </div>

      <div class="col-md-4">
        <div class="card distribution">
          <h2 class="card-title center">
            התפלגות תלמידים באחוזים
          </h2>

          <app-chart [id]="'halukatMosdotYesodi2'" [options]="halukatMosdotYesodi"></app-chart>
          <div class="graph-legend">
            <div class="row ">
              <div class="col-md-6">
                <div class="legend-row green">
                  בדואי
                </div>
              </div>
              <div class="col-md-6">
                3.58%
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="legend-row dark-blue">
                  דרוזי
                </div>
              </div>
              <div class="col-md-6">
                3.58%
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="legend-row blue">
                  יהודי
                </div>
              </div>
              <div class="col-md-6">
                3.58%
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <div class="legend-row yellow">
                  ערבי
                </div>
              </div>
              <div class="col-md-6">
                3.58%
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="classes-distribution card">
      <h2 class="card-title">
        התפלגות כיתות לסוג חינוך, כיתה ושכבה
      </h2>
      <div class="">
        <h3>
          legend
        </h3>
      </div>
    </div>

    <div class="footer card">

      <h2 class="card-title">
        מספר מסגרות ארגוניות נוספות
      </h2>
      <div class="additional-organizations">
        <span *ngFor="let organization of nationalSchoolData">
          <label class="organization-title" for="{{organization.title}}">
            {{organization.title}}
            <span class="organization-amount">{{organization.amount}}</span>
          </label>
        </span>
      </div>
    </div>

  </div>
</div>